JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.distance3d
Class PlanarPolygon3D

    java.lang.Object
      com.vividsolutions.jts.operation.distance3d.PlanarPolygon3D

    public class PlanarPolygon3D

extends java.lang.Object

Models a polygon lying in a plane in 3-dimensional Cartesian space. The polyogn representation is supplied by a `Polygon`, containing coordinates with XYZ ordinates. 3D polygons are assumed to lie in a single plane. The plane best fitting the polygon coordinates is computed and is represented by a `Plane3D`.

Author:
  mdavis

Constructor Summary
`PlanarPolygon3D(Polygon poly)`

Method Summary
`Plane3D` `getPlane()`
`Polygon` `getPolygon()`
`boolean` `intersects(Coordinate intPt)`
`boolean` `intersects(Coordinate pt, LineString ring)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanarPolygon3D

    public PlanarPolygon3D(Polygon poly)

Method Detail

### getPlane

    public Plane3D getPlane()

### getPolygon

    public Polygon getPolygon()

### intersects

    public boolean intersects(Coordinate intPt)

### intersects

    public boolean intersects(Coordinate pt,
                              LineString ring)

JTS Topology Suite version 1.13